Description: Update API URL to prevent 404 error
 NiceHash has updated their API since Nuxhash was last updated.
 This patch updates the URLs to match in order to prevent a 404 error.
Author: Alexey Sokolov <sokolov@google.com>
Bug: https://github.com/YoRyan/nuxhash/issues/54
Reviewed-by: Ben Westover <kwestover.kw@gmail.com>
Last-Update: 2022-07-04

--- a/nuxhash/nicehash.py
+++ b/nuxhash/nicehash.py
@@ -24,7 +24,7 @@
     address = nx_settings['nicehash']['wallet']
 
     response = nh.public_api(HOST).request(
-            'GET', f'/main/api/v2/mining/external/{address}/rigs/', '', None)
+            'GET', f'/main/api/v2/mining/external/{address}/rigs2/', '', None)
     unpaid = response.get('unpaidAmount', None)
     if response.get('externalAddress', True):
         wallet = response.get('externalBalance', None)
--- a/nuxhash/nhrest/python/nicehash.py
+++ b/nuxhash/nhrest/python/nicehash.py
@@ -162,7 +162,7 @@
         return algo_setting
 
     def get_accounts(self):
-        return self.request('GET', '/main/api/v2/accounting/accounts/', '', None)
+        return self.request('GET', '/main/api/v2/accounting/accounts2/', '', None)
 
     def get_accounts_for_currency(self, currency):
         return self.request('GET', '/main/api/v2/accounting/account/' + currency, '', None)
